# Sigil Grid — Unhinged v2 (chaos mode, paper trading only)
# LXC 245
# v2 (2026-04-19): depth-gate bug fix via depth_gate_enabled=false +
# overlay-driven momentum gates + composite observer + rollup telemetry.
# Source of truth: .pipeline-runs/2026-04-19T21-27-20/hive-mind/final-design.md §4
config_version: 2
symbols: []
max_total_exposure_pct: 0.0

pump:
  max_total_exposure_pct: 5.0

micro:
  enabled: true
  capital_pct: 95.0
  max_total_exposure_pct: 80.0

  # --- Watchlist sizing (replaces hardcoded constants) ---
  watchlist_max: 60
  flood_threshold: 50
  flood_promote_top_n: 30
  hysteresis_bonus: 0.02

  # --- Score gates (collapsed) ---
  score_entry_threshold: 0.40
  score_full_position: 0.40

  # --- Momentum gates (chaos posture) ---
  signal_max_age_seconds: 90
  min_consecutive_candles: 1
  volume_surge_threshold: 1.2
  spread_max_pct: 1.0
  rsi_entry_min: 10.0
  rsi_entry_max: 90.0
  depth_gate_enabled: false
  depth_imbalance_ratio: 1.3           # gate disabled; left for future
  resistance_threshold_pct: 0.0

  # --- Anti-spam (kept honest, not hidden safety) ---
  max_simultaneous: 20
  reentry_cooldown_hours: 0.25
  cooldown_after_unfilled_minutes: 5

  # --- Observability ---
  entry_rejection_log_level: "info"
  gate_rollup_every_n_scans: 1
  audit_log_rejections: true
  dry_run_signals_only: true

  # --- Composite observer (Camp B telemetry, no trading effect) ---
  composite_observer_enabled: true
  composite_observer_threshold: 0.55

  # --- Robustness ---
  scan_deadline_seconds: 50.0
  max_rejection_lines_per_scan: 20

  # --- Breakout detector + paper trading ---
  breakout_1h_min_pct: 4.0
  breakout_1h_max_pct: 20.0
  breakout_2h_max_pct: 35.0
  breakout_rsi_max: 65.0
  trail_stop_pct: 12.0
  rsi_overbought: 72.0
  rsi_reversal: 68.0
  max_hold_hours: 6
  paper_stop_loss_pct: 5.0
  paper_starting_balance: 1000.0
  paper_enabled: true

risk:
  daily_loss_limit_pct: 25.0
  max_drawdown_pct: 50.0
